from django.shortcuts import render, get_object_or_404, Http404
from .models import Servicios, Productos
from .forms import FormCliente
from django.core.mail import send_mail, BadHeaderError

def servicios(request):
    dserv=Servicios.objects.all()
    return render(request, "servicios.html", {'dserv':dserv})

def productos(request):
    dprod=Productos.objects.all()
    return render(request, "productos.html", {'dprod':dprod})

def quienes(request):
    return render(request, "quienes.html")

def contacto(request):
    email_ok=False
    error=consulta=empresa=contacto=""
    frm=FormCliente()
    if request.method=="POST":
        frm=FormCliente(request.POST)
        if frm.is_valid():
            empresa=frm.cleaned_data['empresa']
            contacto=frm.cleaned_data['contacto']
            direccion=frm.cleaned_data['direccion']
            localidad=frm.cleaned_data['localidad']
            pais=frm.cleaned_data['pais']
            email=frm.cleaned_data['email']
            telefono=frm.cleaned_data['telefono']
            consulta=frm.cleaned_data['consulta']
            message="%s (%s)\nEn %s (%s, %s)\n\nConsulta: %s\n\n (%s)%s\n\n" 
            message=message % (empresa, email, direccion, localidad, pais, 
                               consulta, contacto, telefono)
            try:
                pass
                #send_mail("%s solicita informacion" % empresa, message, email, ['admin@tuxrincon.com'])
            except BadHeaderError:
                error='Error en la cabecera del mensaje.'
            email_ok=True
        else:
            error="Datos incorrectos, revise y reintente."
    return render(request, "contacto.html", {'form':frm, 
                                             'ok':email_ok, "error":error, 
                                             "consulta":consulta, "contacto":contacto, 
                                             "empresa":empresa})

